//
//  MyDrawNode.hpp
//  spirograph-mobile
//
//  Created by Reza Ghobadinic on 2018-10-23.
//

#ifndef MyDrawNode_hpp
#define MyDrawNode_hpp

#include <stdio.h>
#include "cocos2d.h"

using namespace cocos2d;

class MyDrawNode:public Node
{
    Vec2 firstPoint;
    Vec2 secondPoint;
    
    float i;
    float radius1;
    float radius2;
    float multi;
    float delta;

public:
    static Node* createNode();
    
    virtual bool init();
    virtual void draw(Renderer* renderer, const Mat4& transform, uint32_t flags);
    
    CREATE_FUNC(MyDrawNode); // Make the create function
};

#endif /* MyDrawNode_hpp */
